Bug 80068 - LibreOffice says symbolic link does not exist
Summary: LibreOffice says symbolic link does not exist
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-15 22:40 UTC by tarcisio@member.ams.org
Modified: 2015-04-01 14:52 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the error reported by LibreOffice (9.36 KB, image/png)
2014-06-15 22:40 UTC, tarcisio@member.ams.org
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tarcisio@member.ams.org 2014-06-15 22:40:30 UTC
Created attachment 101124 [details]
the error reported by LibreOffice

Symbolic link is not recognized

I have an odt  file to which I have created a symbolic link and LibreOffice says the file (symbolic link) does not exist.

Tarcisio Praciano-Pereira
tarcisio@member.ams.org
Comment 1 Kevin Suo 2014-07-04 12:37:18 UTC
On ubuntu 14.04 x86, following these steps:

$ ls
examples.desktop  file.odt  tmp  VirtualBox VMs  公共的  模板  视频  图片  文档  下载  音乐  桌面
$ ls
examples.desktop  tmp  VirtualBox VMs  公共的  模板  视频  图片  文档  下载  音乐  桌面
$ ln -s ./tmp/file.odt ./file-link.odt

Then open ./file-link.odt with libreoffice 4.3.0.2, it works, no error message.

So:
* Please state your OS and libreoffice version
* Check whether the symbolic destination file (the real odt file) really exists;
* If it exists, check the file permission to see if you have read and write access.

Set to NEEDINFO. Please set back to UNCONFIRMED if you have done so. Thanks!
Comment 2 Kevin Suo 2014-07-04 12:39:09 UTC
Sorry, I missed a line, it's:
$ ls
examples.desktop  file.odt  tmp  VirtualBox VMs  公共的  模板  视频  图片  文档  下载  音乐  桌面
$ mv file.odt tmp/
$ ls
examples.desktop  tmp  VirtualBox VMs  公共的  模板  视频  图片  文档  下载  音乐  桌面
$ ln -s ./tmp/file.odt ./file-link.odt
Comment 3 Kevin Suo 2014-07-04 12:42:16 UTC
@tarcisio:
I also see from your screenshot that your version is libreoffice 3.5. That is really old!
You should upgrade to the latest "Fresh" version 4.2.5, or the latest "Stable" versoin 4.1.6.
Test it again if you have done the upgrade. If it works, please mark as RESOLVED WORKSFORME. Thanks!
Comment 4 QA Administrators 2015-02-19 04:38:36 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 5 QA Administrators 2015-04-01 14:52:06 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team